part of leadlinkopenapi;

// 操作日志
class APIOperationLog {


  // 提交操作日志
  static commitOperationLogSJSC(String logName,String terminalAddress,String appVersion,{Function() onSucc, Function(String) onFail}) async {

    try {
      // 获取用户
      APIUser.currentUserInfo(onFail: onFail,onSucc: (user) async {

          final userResp = await ParseObject('Users').getObject(user['objectId']);
          ParseObject userObject = userResp.results.first;

              var cntQuery = QueryBuilder<ParseObject>(ParseObject("Counters"))
              ..whereEqualTo('name', 'OperationLogSJSC');
              var cntResp = await cntQuery.query();
              ParseObject counter = cntResp.results.first;

              ParseObject item          = ParseObject('OperationLogSJSC');
              item['logName']           = logName ?? '';
              item['terminalAddress']   = terminalAddress ?? '';
              item['isActive']          = true;
              item['user']              = userObject;
              item['appVersion']        = appVersion;
              item['deviceType']        = await APIUtil.fetchDeviceType();
              item['logId']             = counter['next'];

              await item.save();

              counter.setIncrement('next', 1);
              await counter.save();

              if(onSucc != null) onSucc();  

      });
    } 

    catch (e) {
      if(onFail != null) onFail(APITip.apiFail);  
    }

  }
}